Subject: [Sip] RE: Doubt about SIP Specific Event Notification behaviour

From: José Soler Lucas <[email-masked]>
Date: Thu, 22 May 2003 14:54:03 +0200

Sorry. I made a wrong formulation of the question. It should be like that:
 
"...internal problem in the server that prevents to have knowledge of the
events the client is interested on and so notify about them properly to the
client despite the event is happening. The question is...."
 
Thanks and sorry for the duplication,
 
jose

-----Original Message-----
From: José Soler Lucas 
Sent: 22. maj 2003 14:46
To: [email-masked]'
Subject: Doubt about SIP Specific Event Notification behaviour

Hi everyone,
 
trying to imagine a service based on the SUBSCRIBE - NOTIFY methods of SIP
described in RFC 3265 I have came across a doubt that I was not able to find
a respose to through the different documents I have checked. Could anyone
out there please give me any hint on the matter?:
 
Imagine I have a SIP client that subscribes to a certain event happening in
a server. The subscription is acepted and performs properly. After a moment,
while the subscription is still active, there is an internal problem in the
server that prevents further NOTIFYes towards the subscribing client. The
question is:
 
a) Does the server send a 5xx message towards the client? or
b) Does the server send a NOTIFY with a "pending" status indicating a
temporal suspension of the subscription? or
c) Does the server send a NOTIFY with a "terminated" status forcing the end
of the subscription?
d) Should the server send rather [5xx] followed by
[NOTIFY(status=pending/terminated)]? 
 
If the answer is (a), what should the behavior of the client then be, to
assume the subscription as terminated?
 
Thanks in advance for your help.
Best regards,
 
josé

-------------------------------------------- 
José Soler Lucas, M.Sc.Telecom.E. 
PhD Student 
Networks Competence Area 
Research Center COM (Communications, Optics and Materials) 
Technical University of Denmark 
Building 343, DK 2800 Kgs. Lyngby, Denmark. 
Phone: +45 45 25 38 08 (direct) 
Fax:   +45 45 93 65 81 
E-mail: [email-masked] 
Web:  <http://www.com.dtu.dk/> http://www.com.dtu.dk/ 
---- 
Cellular: +45 22 27 48 22 
--------------------------------------------